// SASS variable overrides must be declared before loading up Active Admin's styles.
//
// To view the variables that Active Admin provides, take a look at
// `app/assets/stylesheets/active_admin/mixins/_variables.scss` in the
// Active Admin source.
//
// For example, to change the sidebar width:
// $sidebar-width: 242px;

// Active Admin's got SASS!
@import "active_admin/mixins";
@import "active_admin/base";
@import "activeadmin_addons/all";
@import "active_admin_sidebar";

// Overriding any non-variable SASS must be done after the fact.
// For example, to change the default status-tag color:
//
//   .status_tag { background: #6090DB; }
@import "just_datetime_picker/base";

.icon_image img {
  height: 60px !important;
  border: 1px solid #ccc !important;
}

.app_icon_image img {
  height: 60px !important;
  border: 1px solid #ccc !important;
  border-radius: 14px !important;
}

.category_icon_image img {
  height: 60px !important;
  border: none !important;
}

.col {
  vertical-align: middle !important;
} 

.handle {
  background: #ccc;
  color: #000;
  padding: 5px !important;
}

.inline-list li {
  display: inline-block;
  margin-right: 10px;
}

ul.inline-list {
  margin: 5px 0 5px -15px;
}

.column p {
  margin: 10px 10px;
}

.status_tag {
  background: grey;
}

.status_tag.red, .status_tag.ng, .status_tag.error {
  background: #ff0000;
}

.status_tag.green, .status_tag.ok, .status_tag.active, .status_tag.complete {
  background: #77b300;
}

.status_tag.orange, .status_tag.skip {
  background: #e29b20;
}

.text-center {
  text-align: center;
}

body {
  font-size: 72% !important;
}

.breadcrumb {
  padding: 0 !important;
  margin-bottom: 12px !important;
}

.tab-content {
  border: none;
}
.container a:link,
.container-fluid a:link {
  text-decoration: none;
}
.container h4,
.container-fluid h4 {
  background: #dedfe1;
  color: #2e2e2e;
  padding: 10px;
  margin: 20px 0;
}

table img {
  height: 60px;
  border: 1px solid #ccc;
}

table .no-border-img {
  height: 60px;
  border: none;
}

a.btn-primary {
  color: #ffffff;
}

.container .form-control,
.container-fluid .form-control {
  font-size: 1rem;
  width: 100%;
}

form fieldset > ol > li.boolean label {
  width: auto;
}

form fieldset > ol > li p.inline-hints {
  margin: 2em 0 0 20%;
}


@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@400&display=swap');

.readable-code {
  font-family: 'Roboto Mono', monospace;
}